Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.record
Class SlideAtom.SSlideLayoutAtom

    java.lang.Object
      org.apache.poi.hslf.record.SlideAtom.SSlideLayoutAtom

Enclosing class:
  SlideAtom

    public class SlideAtom.SSlideLayoutAtom

extends java.lang.Object

Holds the geometry of the Slide, and the ID of the placeholders on the slide. (Embeded inside SlideAtom is a SSlideLayoutAtom, without the usual record header. Since it's a fixed size and tied to the SlideAtom, we'll hold it here.)

Field Summary
`static int` | `BIG_OBJECT`
`static int` | `BLANK_SLIDE`
`static int` | `FOUR_OBJECTS`
`static int` | `HANDOUT`
`static int` | `MASTER_NOTES`
`static int` | `MASTER_SLIDE`
`static int` | `NOTES_TITLE_BODY`
`static int` | `TITLE_2_COLUMN_BODY`
`static int` | `TITLE_2_COLUNM_LEFT_2_ROW_BODY`
`static int` | `TITLE_2_COLUNM_RIGHT_2_ROW_BODY`
`static int` | `TITLE_2_ROW_BODY`
`static int` | `TITLE_2_ROW_BOTTOM_2_COLUMN_BODY`
`static int` | `TITLE_2_ROW_TOP_2_COLUMN_BODY`
`static int` | `TITLE_BODY_SLIDE`
`static int` | `TITLE_MASTER_SLIDE`
`static int` | `TITLE_ONLY`
`static int` | `TITLE_SLIDE`
`static int` | `VERTICAL_TITLE_2_ROW_BODY_LEFT`
`static int` | `VERTICAL_TITLE_BODY_LEFT`

Constructor Summary
`SlideAtom.SSlideLayoutAtom(byte[] data)` Create a new Embeded SSlideLayoutAtom, from 12 bytes of data

Method Summary
`int` | `getGeometryType()` Retrieve the geometry type
`void` | `setGeometryType(int geom)` Set the geometry type
`void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TITLE_SLIDE

    public static final int TITLE_SLIDE

See Also:
  Constant Field Values

### TITLE_BODY_SLIDE

    public static final int TITLE_BODY_SLIDE

See Also:
  Constant Field Values

### TITLE_MASTER_SLIDE

    public static final int TITLE_MASTER_SLIDE

See Also:
  Constant Field Values

### MASTER_SLIDE

    public static final int MASTER_SLIDE

See Also:
  Constant Field Values

### MASTER_NOTES

    public static final int MASTER_NOTES

See Also:
  Constant Field Values

### NOTES_TITLE_BODY

    public static final int NOTES_TITLE_BODY

See Also:
  Constant Field Values

### HANDOUT

    public static final int HANDOUT

See Also:
  Constant Field Values

### TITLE_ONLY

    public static final int TITLE_ONLY

See Also:
  Constant Field Values

### TITLE_2_COLUMN_BODY

    public static final int TITLE_2_COLUMN_BODY

See Also:
  Constant Field Values

### TITLE_2_ROW_BODY

    public static final int TITLE_2_ROW_BODY

See Also:
  Constant Field Values

### TITLE_2_COLUNM_RIGHT_2_ROW_BODY

    public static final int TITLE_2_COLUNM_RIGHT_2_ROW_BODY

See Also:
  Constant Field Values

### TITLE_2_COLUNM_LEFT_2_ROW_BODY

    public static final int TITLE_2_COLUNM_LEFT_2_ROW_BODY

See Also:
  Constant Field Values

### TITLE_2_ROW_BOTTOM_2_COLUMN_BODY

    public static final int TITLE_2_ROW_BOTTOM_2_COLUMN_BODY

See Also:
  Constant Field Values

### TITLE_2_ROW_TOP_2_COLUMN_BODY

    public static final int TITLE_2_ROW_TOP_2_COLUMN_BODY

See Also:
  Constant Field Values

### FOUR_OBJECTS

    public static final int FOUR_OBJECTS

See Also:
  Constant Field Values

### BIG_OBJECT

    public static final int BIG_OBJECT

See Also:
  Constant Field Values

### BLANK_SLIDE

    public static final int BLANK_SLIDE

See Also:
  Constant Field Values

### VERTICAL_TITLE_BODY_LEFT

    public static final int VERTICAL_TITLE_BODY_LEFT

See Also:
  Constant Field Values

### VERTICAL_TITLE_2_ROW_BODY_LEFT

    public static final int VERTICAL_TITLE_2_ROW_BODY_LEFT

See Also:
  Constant Field Values

Constructor Detail

### SlideAtom.SSlideLayoutAtom

    public SlideAtom.SSlideLayoutAtom(byte[] data)

  Create a new Embeded SSlideLayoutAtom, from 12 bytes of data

Method Detail

### getGeometryType

    public int getGeometryType()

  Retrieve the geometry type

### setGeometryType

    public void setGeometryType(int geom)

  Set the geometry type

### writeOut

    public void writeOut(java.io.OutputStream out)
                  throws java.io.IOException

  Write the contents of the record back, so it can be written to disk. Skips the record header

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.